# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.26

# This file contains all the rules used to get the outputs files
# built from the input files.
# It is included in the main 'build.ninja'.

# =============================================================================
# Project: DeePMD
# Configurations: Release
# =============================================================================
# =============================================================================

#############################################
# Rule for running custom commands.

rule CUSTOM_COMMAND
  command = $COMMAND
  description = $DESC


#############################################
# Rule for compiling CXX files.

rule CXX_COMPILER__op_abi_unscanned_Release
  depfile = $DEP_FILE
  deps = gcc
  command = /opt/rh/devtoolset-7/root/usr/bin/c++ $DEFINES $INCLUDES $FLAGS -MD -MT $out -MF $DEP_FILE -o $out -c $in
  description = Building CXX object $out


#############################################
# Rule for linking CXX shared module.

rule CXX_MODULE_LIBRARY_LINKER__op_abi_Release
  command = $PRE_LINK && /opt/rh/devtoolset-7/root/usr/bin/c++ -fPIC $LANGUAGE_COMPILE_FLAGS $ARCH_FLAGS $LINK_FLAGS -shared $SONAME_FLAG$SONAME -o $TARGET_FILE $in $LINK_PATH $LINK_LIBRARIES && $POST_BUILD
  description = Linking CXX shared module $TARGET_FILE
  restat = $RESTAT


#############################################
# Rule for compiling CXX files.

rule CXX_COMPILER__op_grads_unscanned_Release
  depfile = $DEP_FILE
  deps = gcc
  command = /opt/rh/devtoolset-7/root/usr/bin/c++ $DEFINES $INCLUDES $FLAGS -MD -MT $out -MF $DEP_FILE -o $out -c $in
  description = Building CXX object $out


#############################################
# Rule for linking CXX shared module.

rule CXX_MODULE_LIBRARY_LINKER__op_grads_Release
  command = $PRE_LINK && /opt/rh/devtoolset-7/root/usr/bin/c++ -fPIC $LANGUAGE_COMPILE_FLAGS $ARCH_FLAGS $LINK_FLAGS -shared $SONAME_FLAG$SONAME -o $TARGET_FILE $in $LINK_PATH $LINK_LIBRARIES && $POST_BUILD
  description = Linking CXX shared module $TARGET_FILE
  restat = $RESTAT


#############################################
# Rule for compiling CXX files.

rule CXX_COMPILER__deepmd_unscanned_Release
  depfile = $DEP_FILE
  deps = gcc
  command = /opt/rh/devtoolset-7/root/usr/bin/c++ $DEFINES $INCLUDES $FLAGS -MD -MT $out -MF $DEP_FILE -o $out -c $in
  description = Building CXX object $out


#############################################
# Rule for linking CXX shared library.

rule CXX_SHARED_LIBRARY_LINKER__deepmd_Release
  command = $PRE_LINK && /opt/rh/devtoolset-7/root/usr/bin/c++ -fPIC $LANGUAGE_COMPILE_FLAGS $ARCH_FLAGS $LINK_FLAGS -shared $SONAME_FLAG$SONAME -o $TARGET_FILE $in $LINK_PATH $LINK_LIBRARIES && $POST_BUILD
  description = Linking CXX shared library $TARGET_FILE
  restat = $RESTAT


#############################################
# Rule for linking CXX shared library.

rule CXX_SHARED_LIBRARY_LINKER__deepmd_op_rocm_Release
  command = $PRE_LINK && /opt/rh/devtoolset-7/root/usr/bin/c++ -fPIC $LANGUAGE_COMPILE_FLAGS $ARCH_FLAGS $LINK_FLAGS -shared $SONAME_FLAG$SONAME -o $TARGET_FILE $in $LINK_PATH $LINK_LIBRARIES && /tmp/pip-build-env-lhxr9b79/overlay/lib/python3.7/site-packages/cmake/data/bin/cmake -E __run_co_compile --lwyu="ldd;-u;-r" --source=lib/src/rocm/libdeepmd_op_rocm.so && $POST_BUILD
  description = Linking CXX shared library $TARGET_FILE
  restat = $RESTAT


#############################################
# Rule for re-running cmake.

rule RERUN_CMAKE
  command = /tmp/pip-build-env-lhxr9b79/overlay/lib/python3.7/site-packages/cmake/data/bin/cmake --regenerate-during-build -S/root/deepmd-kit/source -B/root/deepmd-kit/_skbuild/linux-x86_64-3.7/cmake-build
  description = Re-running CMake...
  generator = 1


#############################################
# Rule for cleaning all built files.

rule CLEAN
  command = /tmp/pip-build-env-lhxr9b79/overlay/lib/python3.7/site-packages/ninja/data/bin/ninja $FILE_ARG -t clean $TARGETS
  description = Cleaning all built files...


#############################################
# Rule for printing all primary targets available.

rule HELP
  command = /tmp/pip-build-env-lhxr9b79/overlay/lib/python3.7/site-packages/ninja/data/bin/ninja -t targets
  description = All primary targets available:

